<?php

declare(strict_types=1);

namespace External\HannahBundle\EmailRegister;

use KupShop\KupShopBundle\Email\EmailInterface;
use KupShop\KupShopBundle\EmailRegister\EmailRegisterInterface;
use KupShop\SalesBundle\Email\SaleEmail;

class SaleEmailRegister implements EmailRegisterInterface
{
    public function applyPlaceholders(EmailInterface $email): void
    {
        if (!($email instanceof SaleEmail)) {
            return;
        }

        $email->addPlaceholder('OC_TYP_DORUCENI', fn () => 'prod', 'Typ doručení');
    }
}
